Bug 20672 - [XT3TS] type-functions-0304
Summary: [XT3TS] type-functions-0304
Status: RESOLVED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite (show other bugs)
Version: Working drafts
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Abel Braaksma
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 10:35 UTC by Tim Mills
Modified: 2015-04-15 18:56 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2013-01-15 10:35:20 UTC
This test assumes that URIs end up being percent encoded. e.g.

            <assert>/out/e3 = "true , http://base.example.org/ns/two%20organizations"</assert>

Regarding resolve-uri, F&O 3.0 says "No percent-encoding takes place."
Comment 1 Abel Braaksma 2013-12-09 01:12:27 UTC
It looks like this, and related issues with resolve-uri do not fully adhere to this special case. I propose to go over the resolve-uri tests and improve and adjust where needed.
Comment 2 Tim Mills 2013-12-09 09:39:11 UTC
Thanks.
Comment 3 Abel Braaksma 2015-04-15 18:56:07 UTC
Fixed for the mentioned test-case, by s/%20/ /. There were no other escapes in this test-set that I could find and a trivial search elsewhere didn't come up with other tests that have the same issue.

Marked resolved/fixed, changes pushed.